Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 12 Dec 2017, 20:06
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
GIMP 2.8 won't open or Save jpg and jpeg files [Semi-Solved]
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
davids45


Joined: 26 Nov 2006
Posts: 1007
Location: Chatswood, NSW

PostPosted: Sat 25 Mar 2017, 18:55    Post subject:  GIMP 2.8 won't open or Save jpg and jpeg files [Semi-Solved]  

G'day,

For a long time, I had been using a 2.6 version of GIMP which I got quite used to, so don't want to change if I can.

I made the mistake of "upgrading" to Gimp-2.8 and now cannot open .jpg or .jpeg files.
And saving is now a complex affair of 'Export' if a .jpg file is wanted.

1) Is there a simple fix or plug-in to make Gimp-2.8 use .jpg files without so much trouble for me?

2) Is there a .pet or .sfs of the good old Gimp-2.6 somewhere, old enough to not have this .jpg problem? I worry this problem affected some later versions of 2.6 as well.

I'm not so familiar with mtpaint, which does do .jpg files, but I may have to get used to it as a fall-back.

Thanks for any help.

David S.

Last edited by davids45 on Sun 26 Mar 2017, 19:23; edited 1 time in total
Back to top
View user's profile Send private message 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 12715
Location: Arizona USA

PostPosted: Sat 25 Mar 2017, 19:52    Post subject:  

It might be good if you told us which version of Puppy you're using, how it's installed and how you upgraded to Gimp 2.8. While you're at it, tell us how much RAM is in the computer.
Back to top
View user's profile Send private message 
Semme


Joined: 07 Aug 2011
Posts: 7775
Location: World_Hub

PostPosted: Sat 25 Mar 2017, 20:29    Post subject:  

David, 2.8 probably broke something when it over-populated your 2.6 folder in /root.

Either toss .gimp-2.8's profile folder or maybe rename it and give Lucids SFS pkg a whirl.

_________________
>>> Living with the immediacy of death helps you sort out your priorities. It helps you live a life less trivial <<<
Back to top
View user's profile Send private message 
davids45


Joined: 26 Nov 2006
Posts: 1007
Location: Chatswood, NSW

PostPosted: Sun 26 Mar 2017, 19:21    Post subject: Gimp-2.8 jpg problems
Subject description: Some fixed
 

G'day,
Thanks for your logical replies to my Gimp issues.

Thanks Flash for your input, so I did a quick check of some of my Pups to see if there was a pattern to my problem(s).

In Full Pups, I install Gimp as a pet I've made with other graphics programs and a games collection - this has Gimp-2.6.3.

Full Pups using gimp-2.6 that can read jpg files:
slacko-5.9.3, wheezypup-3.5.2.11, tahrpup--6.0.2 (k-4.0.1), tahrpup-5.8.4, slacko-6.3.0, tahr-6.0.5, unicornpup
Full Pups using 2.6.3 that did not show .jpg files:
XenialPup-7.0.8.1, xenialpup-7.0.3.1
-- then ran these from a terminal and both showed a missing lib file = liblcms-so.1; copied this lib file from my library archive and both now could see and load .jpg files!

Frugal Pups (quite a few on two partitions) that have Gimp-2.8.0 boot-loaded from a multi-package sfs (about 1GB of combined sfs of libreoffice, games, graphics, utilities, file managers, and anything else I wanted in every Frugal Pup). This big sfs is in each partition's root for each Frugal Pup's 'boot manager' to find.

On sda1:
Gimp-2.8 runs jpgs with:
slacko-6.3, tahr-5.8.4, puppexenial-471, puppextahr-401, tahr-605, ovprecise-58, fluxpup-161, chloepup (gimp-2.8.14 was built-in)
Gimp does not show or run jpgs with:
xenialpup-704, tahr-602(k401), slacko-6961, xenailpup-701, unicornpup

On sda7:
Gimp-2.8 would not show or run jpgs:
PupJibaroSynaptic, xenialpup-703, jibarojessiebeta
I did not the over twenty remaining (older) Pups on sda7.

Terminal results for frugals:
Missing libs reported in xenial-703 (liblcms), slacko-6961 (libjpeg, linpng14, libmng), jibarojessiebeta (libgudev-1.0, plus some of the previous) - adding the libs and gimp-2.8 now would see the jpgs

Pups that terminally had no missing libs but still would not get gimp-2.8 to see or read jpg files are:
xenialpup-704, tahr-60, unicornpup, xenialpup-701

Not all Pups were run from the terminal in this testing but the terminal output of the failures was a string of gtk messages - see attached screenshot.

The gimp config directory in /root (.gimp-2.6 or .gimp-2.Cool deleted or switched to a symlink on my data partition made no difference in getting gimp-2.8 to run with jpg files on those affected Pups.

So, thanks Flash and Semme for your posts that made me look at this logically and find some fixes to some Pups.

But I think I still would like to remove gimp-2.8 from my big sfs and replace it with gimp-2.6 which seems the easier way to run Gimp across my Pups. I may have to do this manually from the gimp-2.6.3 pet I have or try Semme's suggested version from LucidPup.

It's about time I reviewed this all-in-one sfs anyway, there are games I never play or don't work, file-managers & utilities likewise, and I could update LibreOffice and wine as well.
Although it's updating that gave me this Gimp problem in the first place! "Let sleeping pups lie." is a good rule?

Luckily, I no longer have to work for living and my time's my own to spend on tedious tasks like fixing computer program problems of my own making Rolling Eyes .

David S.
gimp-closing-term28.jpg
 Description   terminal report after closing non-jpg seeing gimp-2.8; gimp starts up with no messages
 Filesize   134.5 KB
 Viewed   84 Time(s)

gimp-closing-term28.jpg

Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0464s ][ Queries: 15 (0.0051s) ][ GZIP on ]